// HARDWARE DEPENDENT PARAMETERS
//#define NVIDIA_FERMI_M2075
#define NVIDIA_KEPLER_K20
//#define AMD_RADEON_HD_5870
//#define AMD_RADEON_HD_6630M

#ifdef NVIDIA_KEPLER_K20

#define NR_COMP_UNITS 2
#define NR_CORES_PER_CU 192
#define NR_WORK_GROUPS_PER_CU 32
#define WORK_GROUP_SIZE 256
#define NR_ENTRIES_PER_THREAD 256

#endif

#ifdef NVIDIA_FERMI_M2075

#define NR_COMP_UNITS 14
#define NR_CORES_PER_CU 32
#define NR_WORK_GROUPS_PER_CU 8
#define WORK_GROUP_SIZE 1024
#define NR_ENTRIES_PER_THREAD 256

#endif

#ifdef AMD_RADEON_HD_5870

#define NR_COMP_UNITS 20
#define NR_CORES_PER_CU 80
#define NR_WORK_GROUPS_PER_CU 8
#define WORK_GROUP_SIZE 256
#define NR_ENTRIES_PER_THREAD 512

#endif

#ifdef AMD_RADEON_HD_6630M

#define NR_COMP_UNITS 6
#define NR_CORES_PER_CU 80
#define NR_WORK_GROUPS_PER_CU 8
#define WORK_GROUP_SIZE 256
#define NR_ENTRIES_PER_THREAD 512

#endif



